> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an upload session

> Retrieve the details of an upload session.



## OpenAPI

````yaml /api-reference/openapi-v2.yaml get /api/v2/upload-session/{uuid}
openapi: 3.0.3
info:
  title: Paradigm API
  version: xenial-xerus (v2)
  description: >-
    A versatile and adaptable tool designed to integrate Generative AI into your
    applications
servers:
  - url: https://paradigm.lighton.ai
security: []
tags:
  - name: Models
    description: Operations about AI models
  - name: Files Search
    description: Operations about files search
  - name: Files
    description: Operations about files
  - name: Upload Sessions
    description: Operations about upload sessions
  - name: Workspaces
    description: Operations about workspaces
  - name: Users
    description: Operations about users
  - name: Companies
    description: Operations about companies
  - name: SCIM
    description: Operations about SCIM
  - name: Feedbacks
    description: Operations about feedbacks
  - name: Reporting
    description: Operations about reporting
  - name: Monitoring
    description: Operations about monitoring
  - name: Platform Status
    description: Operations about platform status
paths:
  /api/v2/upload-session/{uuid}:
    get:
      tags:
        - Upload Sessions
      summary: Retrieve an upload session
      description: Retrieve the details of an upload session.
      operationId: api_v2_upload_session_retrieve
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
          description: The UUID of the upload session
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSessionResponse'
          description: ''
        '404':
          description: No response body
      security:
        - bearerAuth: []
components:
  schemas:
    UploadSessionResponse:
      type: object
      description: Response serializer for upload session details.
      properties:
        uuid:
          type: string
          format: uuid
          description: Unique identifier for the upload session
        is_valid:
          type: boolean
          description: Whether the upload session is currently valid and active
        created_at:
          type: string
          format: date-time
          description: Timestamp when the upload session was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the upload session was last updated
        documents:
          type: array
          items:
            $ref: '#/components/schemas/UploadSessionDocument'
          description: List of documents associated with this upload session
      required:
        - created_at
        - documents
        - is_valid
        - updated_at
        - uuid
    UploadSessionDocument:
      type: object
      description: Serializer for documents within upload session responses.
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          nullable: true
          maxLength: 255
        collection:
          type: integer
          nullable: true
        status:
          $ref: '#/components/schemas/StatusEnum'
        updated_at:
          type: string
          format: date-time
          readOnly: true
        workspace:
          type: string
          nullable: true
          readOnly: true
          description: Workspace information associated with the document
      required:
        - id
        - updated_at
        - workspace
    StatusEnum:
      enum:
        - pending
        - parsing
        - parsing_failed
        - embedding
        - embedding_failed
        - embedded
        - fail
        - updating
      type: string
      description: |-
        * `pending` - Pending
        * `parsing` - Parsing
        * `parsing_failed` - Parsing Failed
        * `embedding` - Embedding
        * `embedding_failed` - Embedding Failed
        * `embedded` - Embedded
        * `fail` - Fail
        * `updating` - Updating
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````